#include <QtGui>
#include "demowindow.h"
#include "ui_dlgdemo.h"   //demo5

DemoWindow::DemoWindow()  //constructeur
{
    openAct = new QAction(QIcon(":/images/open.png"), tr("&Open..."), this);
    openAct->setShortcut(tr("Ctrl+O"));
    openAct->setStatusTip(tr("Open an existing file"));
    connect(openAct, SIGNAL(triggered()), this, SLOT(open()));
   
    testAct = new QAction(tr("Test"), this);
    testAct->setShortcut(tr("Ctrl+T"));
    testAct->setStatusTip(tr("To make tests"));
    connect(testAct, SIGNAL(triggered()), this, SLOT(test()));

    exitAct = new QAction(tr("E&xit"), this);
    exitAct->setShortcut(tr("Ctrl+Q"));
    exitAct->setStatusTip(tr("Exit the application"));
    connect(exitAct, SIGNAL(triggered()), this, SLOT(close()));

    fileMenu = menuBar()->addMenu(tr("&File"));
    fileMenu->addAction(openAct);
    fileMenu->addAction(testAct);
    fileMenu->addSeparator();
    fileMenu->addAction(exitAct);

    fileToolBar = addToolBar(tr("File"));
    fileToolBar->addAction(openAct);

    editeur=new QTextEdit;  
    setCentralWidget(editeur);  

    resize(600, 450); //demo5 - pour que les dialogues ne recouvrent pas toute la fenêtre

    statusBar()->showMessage(tr("Ready"));
}

void DemoWindow::open() 
{
    QString fileName = QFileDialog::getOpenFileName(this);
    if (!fileName.isEmpty())
         QMessageBox::information(this, "test open", "file to open :\n"+fileName); 
}
void DemoWindow::test()    //demo5
{
    //créer le dialogue  
    QDialog *d = new QDialog;   
    Ui::demoDialog dd;
    dd.setupUi(d);
    // exécution de la boite de dialogue
    int ret=d->exec(); 
    // récupération des modifications éventuelles
    if (ret==QDialog::Accepted)
     {
        QString motSaisi=dd.lineEdit->text();
        if (!motSaisi.isEmpty()) editeur->insertPlainText(motSaisi);  
     }
}
